Package io.flutter.plugin.platform

## Class SurfaceTexturePlatformViewRenderTarget

- java.lang.Object
- - io.flutter.plugin.platform.SurfaceTexturePlatformViewRenderTarget

- All Implemented Interfaces:
    `PlatformViewRenderTarget`

      public class SurfaceTexturePlatformViewRenderTarget
      extends Object
      implements PlatformViewRenderTarget

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurfaceTexturePlatformViewRenderTarget​(TextureRegistry.SurfaceTextureEntry surfaceTextureEntry)` | Implementation of PlatformViewRenderTarget

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Surface` | `createSurface()` |
    `int` | `getHeight()` |
    `long` | `getId()` |
    `Surface` | `getSurface()` |
    `int` | `getWidth()` |
    `boolean` | `isReleased()` |
    `Canvas` | `lockHardwareCanvas()` |
    `void` | `release()` |
    `void` | `resize​(int width, int height)` |
    `void` | `unlockCanvasAndPost​(Canvas canvas)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurfaceTexturePlatformViewRenderTarget

          public SurfaceTexturePlatformViewRenderTarget​(TextureRegistry.SurfaceTextureEntry surfaceTextureEntry)

      Implementation of PlatformViewRenderTarget

  - ### Method Detail

    - #### createSurface

          protected Surface createSurface()

    - #### lockHardwareCanvas

          public Canvas lockHardwareCanvas()

      Specified by:
        `lockHardwareCanvas` in interface `PlatformViewRenderTarget`

    - #### unlockCanvasAndPost

          public void unlockCanvasAndPost​(Canvas canvas)

      Specified by:
        `unlockCanvasAndPost` in interface `PlatformViewRenderTarget`

    - #### resize

          public void resize​(int width,
                             int height)

      Specified by:
        `resize` in interface `PlatformViewRenderTarget`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `PlatformViewRenderTarget`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `PlatformViewRenderTarget`

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `PlatformViewRenderTarget`

    - #### isReleased

          public boolean isReleased()

      Specified by:
        `isReleased` in interface `PlatformViewRenderTarget`

    - #### release

          public void release()

      Specified by:
        `release` in interface `PlatformViewRenderTarget`

    - #### getSurface

          public Surface getSurface()

      Specified by:
        `getSurface` in interface `PlatformViewRenderTarget`